﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;

namespace WG_MultilineDropDownRowHeight
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();

            dt.Columns.Add("ID", typeof(int)).AutoIncrement = true;
            dt.Columns.Add("Matter", typeof(string));

            dt.Rows.Add(new object[] { null, "Long line of text that doesn't fit on one row" });
            dt.Rows.Add(new object[] { null, "Long line of text that doesn't fit on one row" });
            dt.Rows.Add(new object[] { null, "Long line of text that doesn't fit on one row" });
            dt.Rows.Add(new object[] { null, "Long line of text that doesn't fit on one row" });

            ultraGrid1.DataSource = dt;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Override.AllowAddNew = Infragistics.Win.UltraWinGrid.AllowAddNew.TemplateOnTop;
            e.Layout.Override.CellMultiLine = DefaultableBoolean.True;
            e.Layout.Bands[0].Columns["Matter"].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.DropDown;
            e.Layout.Override.DefaultRowHeight = 50;


            ValueList vl = new ValueList();
            vl.ValueListItems.Add("Long line of text that doesn't fit on one row");
            vl.ValueListItems.Add("Antoher long line of text that doesn't fit on one row");
            e.Layout.Bands[0].Columns["Matter"].ValueList = vl;
        }
    }
}
